%define version 1.0.1
%define release 1mdk

%define major 	1
%define api_version 1.0
%define libname %mklibname xml++ %{api_version}

Name: 		libxml++
Summary: 	C++ interface for working with XML files
Version: 	%{version}
Release: 	%{release}
Source:		http://download.sf.net/libxmlplusplus/%{name}-%{version}.tar.bz2
URL:		http://libxmlplusplus.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libxml2-devel >= 2.5.8
BuildRequires:	doxygen

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}_%{major}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}-devel
Summary:	Headers for developing programs that will use %name.
Group:		Development/C++
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}

%description	-n %{libname}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%configure2_5x
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%files -n %{libname}_%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 1.0.1-1mdk
- New version

* Wed Jan 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.0-1mdk
- New version
- New API, so don't need to provide compatibility for old one

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 0.26.0-2mdk
- devel package Requires pkgconfig

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 0.26.0-1mdk
- 0.26.0
- mklibname, including API version into libname
- Obsoletes old libxml++-devel RPM without API version

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.24.0-2mdk
- rebuild for rpm
- DIRM

* Thu Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.24.0-1mdk
- 0.24.0
- major 10

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.23.0-1mdk
- 0.23.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.20.0-1mdk
- initial package
